from flask import *                                 # Import Flask library
import Adafruit_BBIO.GPIO as GPIO					# Import Adafruit_BBIO library


@app.route('/')                                     # This method will execute when you'll hit root page
def index():
    if getSensorValue() == 1:                       # Check if there is any movement
        return render_template('intruder.html')     # If 1 (yes), render intruder HTML page
    return render_template('ok.html')               # If 0 (no), render ok HTML page


def getSensorValue():								# Simple method for reading output of GPIO pin
    return GPIO.input("P8_7")                       # Output value (1 or 0) of sensor located at P8_7


if __name__ == '__main__':
    app = Flask(__name__)
    GPIO.setup("P8_7", GPIO.IN)                     # Configure P8_7 port as input port
    app.run(host='0.0.0.0', port=8080)              # Run webserver as localhost on port 8080



